PRAGMA foreign_keys=off;

BEGIN TRANSACTION;

ALTER TABLE downloads RENAME TO temp_downloads;

CREATE TABLE downloads (
  _id integer PRIMARY KEY  NOT NULL,
  pvr_id text,
  event_id text,
  service_id text,
  recorded_duration integer DEFAULT (0),
  src text,
  status text,
  recorded_size integer DEFAULT (0) ,
  last_played_position integer DEFAULT (-1) ,
  title text,
  synopsis text,
  broadcast_time integer DEFAULT (0),
  rating text,
  channel_number text,
  channel_name text,
  expiration_date text,
  program_uuid text,
  season_uuid text,
  series_uuid text,
  episode_name text,
  episode_number integer DEFAULT (0),
  season_number integer DEFAULT (0),
  record_id integer DEFAULT (0),
  available_size integer,
  available_duration integer,
  total_size integer,
  total_duration integer,
  last_status_changed_time integer,
  url text,
  transaction_id text,
  ottdownloadable integer DEFAULT (0),
  local_time_offset_seconds integer DEFAULT (0)
);

INSERT INTO downloads
    SELECT _id,
           pvr_id,
           event_id,
           service_id,
           recorded_duration,
           src,
           status,
           recorded_size,
           last_played_position,
           title,
           synopsis,
           broadcast_time,
           rating,
           channel_number,
           channel_name,
           expiration_date,
           program_uuid,
           season_uuid,
           series_uuid,
           episode_name,
           episode_number,
           season_number,
           record_id,
           available_size,
           available_duration,
           total_size,
           total_duration,
           last_status_changed_time,
           url,
           transaction_id,
           ottdownloadable,
           local_time_offset_seconds
    FROM temp_downloads;

DROP TABLE temp_downloads;

ALTER TABLE ott RENAME TO temp_ott;

CREATE TABLE ott (
    _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
    programme_id text,
    last_played_position integer DEFAULT(-1),
    expiration_date integer DEFAULT(-1)
);

INSERT INTO ott
    SELECT _id,
           programme_id,
           last_played_position,
           expiration_date
    FROM temp_ott;

DROP TABLE temp_ott;

COMMIT;

PRAGMA foreign_keys=on;
